TelemVect3

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.ctdp.rfdynhud.gamedata
Class TelemVect3

    java.lang.Object
      net.ctdp.rfdynhud.gamedata.TelemVect3

    public class TelemVect3

extends java.lang.Object

Author:
  Marvin Froehlich (CTDP)

Constructor Summary
`TelemVect3()`

Method Summary
`float` | `getDistanceTo(float x, float y, float z)`
`float` | `getDistanceTo(TelemVect3 pos2)`
`float` | `getDistanceToSquared(float x, float y, float z)`
`float` | `getDistanceToSquared(TelemVect3 pos2)`
`float` | `getDistanceXZTo(float x, float z)`
`float` | `getDistanceXZTo(TelemVect3 pos2)`
`float` | `getDistanceXZToSquared(float x, float z)`
`float` | `getDistanceXZToSquared(TelemVect3 pos2)`
`float` | `getLength()`
`float` | `getLengthSquared()`
`float` | `getX()`
`float` | `getY()`
`float` | `getZ()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TelemVect3

    public TelemVect3()

Method Detail

### getX

    public final float getX()

### getY

    public final float getY()

### getZ

    public final float getZ()

### getLengthSquared

    public final float getLengthSquared()

### getLength

    public final float getLength()

### getDistanceToSquared

    public final float getDistanceToSquared(TelemVect3 pos2)

### getDistanceTo

    public final float getDistanceTo(TelemVect3 pos2)

### getDistanceToSquared

    public final float getDistanceToSquared(float x,
                                            float y,
                                            float z)

### getDistanceTo

    public final float getDistanceTo(float x,
                                     float y,
                                     float z)

### getDistanceXZToSquared

    public final float getDistanceXZToSquared(TelemVect3 pos2)

### getDistanceXZTo

    public final float getDistanceXZTo(TelemVect3 pos2)

### getDistanceXZToSquared

    public final float getDistanceXZToSquared(float x,
                                              float z)

### getDistanceXZTo

    public final float getDistanceXZTo(float x,
                                       float z)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD